Index: src/sas/sascalc/fit/Loader.py
===================================================================
--- src/sas/sascalc/fit/Loader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/fit/Loader.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -34,5 +34,5 @@
     def set_values(self):
         """ Store the values loaded from file in local variables"""
-        if not self.filename is None:
+        if self.filename is not None:
             input_f =  open(self.filename, 'r')
             buff = input_f.read()
Index: src/sas/sascalc/pr/fit/Loader.py
===================================================================
--- src/sas/sascalc/pr/fit/Loader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/pr/fit/Loader.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -34,5 +34,5 @@
     def set_values(self):
         """ Store the values loaded from file in local variables"""
-        if not self.filename is None:
+        if self.filename is not None:
             input_f =  open(self.filename, 'r')
             buff = input_f.read()
Index: src/sas/sascalc/pr/invertor.py
===================================================================
--- src/sas/sascalc/pr/invertor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/pr/invertor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -395,7 +395,7 @@
         Check q-value against user-defined range
         """
-        if not self.q_min is None and q < self.q_min:
+        if self.q_min is not None and q < self.q_min:
             return False
-        if not self.q_max is None and q > self.q_max:
+        if self.q_max is not None and q > self.q_max:
             return False
         return True
Index: src/sas/sascalc/pr/num_term.py
===================================================================
--- src/sas/sascalc/pr/num_term.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/pr/num_term.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -159,5 +159,5 @@
     scale = None
     min_err = 0.0
-    if not path is None:
+    if path is not None:
         input_f = open(path, 'r')
         buff = input_f.read()
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -1017,5 +1017,5 @@
                             if index - 1 >= 0:
                                 new_row, _ = temp_list[index - 1]
-                                if not new_row is None and new_row != ' ':
+                                if new_row is not None and new_row != ' ':
                                     label += create_label(col_name, None,
                                                           int(new_row) + 1)
@@ -1025,5 +1025,5 @@
                             if index + 1 < len(temp_list):
                                 new_row, _ = temp_list[index + 1]
-                                if not new_row is None:
+                                if new_row is not None:
                                     label += create_label(col_name,
                                                           int(new_row) + 1, None)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -618,7 +618,6 @@
             # add menu of other plugins
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list is None) and (not len(item_list) == 0):
+            if (item_list is not None) and (len(item_list)):
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
-
                     try:
                         plot_menu.Append(wx_id, item[0], name)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -320,6 +320,6 @@
         if len(self.data2D.detector) <= 1:
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list is None) and (not len(item_list) == 0) and\
-                self.data2D.name.split(" ")[0] != 'Residuals':
+            if ((item_list is not None) and len(item_list) and
+                self.data2D.name.split(" ")[0] != 'Residuals'):
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
                     try:
@@ -533,5 +533,5 @@
         """
         ## Clear current slicer
-        if not self.slicer is None:
+        if self.slicer is not None:
             self.slicer.clear()
         ## Create a new slicer
@@ -719,5 +719,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer is None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -249,5 +249,5 @@
         Add new mask to old mask
         """
-        if not self.slicer is None:
+        if self.slicer is not None:
             data = Data2D()
             data = self.data
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -1914,5 +1914,5 @@
             return
         self.sld_data = data
-        enable = (not data is None)
+        enable = (data is not None)
         self._set_omfpanel_sld_data(self.sld_data)
         self.omfpanel.bt_save.Enable(enable)
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -291,5 +291,5 @@
         """
         qtemp = pr.x
-        if not q is None:
+        if q is not None:
             qtemp = q
 
@@ -303,7 +303,7 @@
 
         # Check for user min/max
-        if not pr.q_min is None:
+        if pr.q_min is not None:
             minq = pr.q_min
-        if not pr.q_max is None:
+        if pr.q_max is not None:
             maxq = pr.q_max
 
@@ -487,5 +487,5 @@
         scale = None
         min_err = 0.0
-        if not path is None:
+        if path is not None:
             input_f = open(path, 'r')
             buff = input_f.read()
@@ -512,5 +512,5 @@
                     logger.error(sys.exc_value)
 
-        if not scale is None:
+        if scale is not None:
             message = "The loaded file had no error bars, statistical errors are assumed."
             wx.PostEvent(self.parent, StatusEvent(status=message))
@@ -537,5 +537,5 @@
 
         data_started = False
-        if not path is None:
+        if path is not None:
             input_f = open(path, 'r')
             buff = input_f.read()
@@ -565,5 +565,5 @@
                     data_started = True
 
-        if not scale is None:
+        if scale is not None:
             message = "The loaded file had no error bars, statistical errors are assumed."
             wx.PostEvent(self.parent, StatusEvent(status=message))
@@ -761,5 +761,5 @@
         self.elapsed = elapsed
         self.control_panel.alpha_estimate = alpha
-        if not message is None:
+        if message is not None:
             wx.PostEvent(self.parent, StatusEvent(status=str(message)))
         self.perform_estimateNT()
@@ -779,5 +779,5 @@
         self.control_panel.nterms_estimate = nterms
         self.control_panel.alpha_estimate = alpha
-        if not message is None:
+        if message is not None:
             wx.PostEvent(self.parent, StatusEvent(status=str(message)))
 
@@ -921,5 +921,5 @@
         try:
             pr = self._create_plot_pr()
-            if not pr is None:
+            if pr is not None:
                 self.pr = pr
                 self.perform_inversion()
@@ -944,5 +944,5 @@
         try:
             pr = self._create_plot_pr()
-            if not pr is None:
+            if pr is not None:
                 self.pr = pr
                 self.perform_estimate()
@@ -1024,5 +1024,5 @@
         try:
             pr = self._create_file_pr(data)
-            if not pr is None:
+            if pr is not None:
                 self.pr = pr
                 self.perform_inversion()
Index: src/sas/sasgui/perspectives/pr/pr_thread.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr_thread.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/pr/pr_thread.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -42,5 +42,5 @@
             pass
         except:
-            if not self.error_func is None:
+            if self.error_func is not None:
                 self.error_func("CalcPr.compute: %s" % sys.exc_value)
 
@@ -70,5 +70,5 @@
             pass
         except:
-            if not self.error_func is None:
+            if self.error_func is not None:
                 self.error_func("EstimatePr.compute: %s" % sys.exc_value)
 
@@ -110,4 +110,4 @@
             pass
         except:
-            if not self.error_func is None:
+            if self.error_func is not None:
                 self.error_func("EstimatePr2.compute: %s" % sys.exc_value)
Index: src/sas/sasgui/plottools/fittings.py
===================================================================
--- src/sas/sasgui/plottools/fittings.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/plottools/fittings.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -25,5 +25,5 @@
         self.model = model
         self.name = name
-        if not value is None:
+        if value is not None:
             self.model.setParam(self.name, value)
 
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -50,8 +50,8 @@
             l_width = markersize * 0.4
             return self.step(x=x, y=y, color=color, label=label, width=l_width)
-        if not self.marker is None:
-            self.base.connect.clear([self.marker])
-        self.color = self._color(color)
-        if self.markersize != None:
+        if self.marker is not None:
+            self.base.connect.clear([self.marker])
+        self.color = self._color(color)
+        if self.markersize is not None:
             markersize = self.markersize
         # Convert tuple (lo,hi) to array [(x-lo),(hi-x)]
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/plottools/plottables.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -229,5 +229,5 @@
             if p.hidden == True:
                 continue
-            if not p.x is None:
+            if p.x is not None:
                 for x_i in p.x:
                     if min_value is None or x_i < min_value:
Index: test/pr_inversion/test/utest_invertor.py
===================================================================
--- test/pr_inversion/test/utest_invertor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ test/pr_inversion/test/utest_invertor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -576,5 +576,5 @@
     data_err = np.zeros(0)
     scale    = None
-    if not path is None:
+    if path is not None:
         input_f = open(path,'r')
         buff    = input_f.read()
Index: test/sasrealspace/test/sim_validation.py
===================================================================
--- test/sasrealspace/test/sim_validation.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ test/sasrealspace/test/sim_validation.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -32,5 +32,5 @@
             #return: mean, error
         """
-        if not density is None:
+        if density is not None:
             self.density = density
             self.create()
@@ -45,5 +45,5 @@
             #return: mean, error
         """
-        if not density is None:
+        if density is not None:
             self.density = density
             self.create()
Index: test/sasrealspace/test/utest_realspace.py
===================================================================
--- test/sasrealspace/test/utest_realspace.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ test/sasrealspace/test/utest_realspace.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -326,5 +326,5 @@
         self.canvas.setParam('%s.radius' % handle, self.outer_radius)
         self.canvas.setParam('%s.contrast' % handle, self.shell_sld)
-        if not order1 is None:
+        if order1 is not None:
             self.canvas.setParam('%s.order' % handle, order1)
        
